<? session_start();
//RESTRICCION DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario'])) {
	if ($_SESSION['tipousuario'] == '1')
		header('location:menu_personal.php');
}
if (trim($_SESSION['nombre_validar']) == '') header('location:index.php');
include("fphp.php");
$enlace = cargar_conexion();
$accion = $_REQUEST["accion"];
$cedula = $_REQUEST["cedula"];
$fdesde = $_REQUEST["fdesde"];
$periodo = $_REQUEST["periodo"];
$fechahoy = date('Y-m-d');
$aprobacionVacacion = $_REQUEST["aprobacionVacacion"];
$usuario = $_SESSION['usuario_validar'];

?>
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script src="autocompletar/js/bootstrap3-typeahead.min.js"></script>
<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

<?
$resultado_aprobacion = '';
/*
if (isset($aprobacionVacacion)) {
	if ($usuario == 'GCURBELO' || $usuario == 'BSALAZA3' || $usuario == 'ASALAZ14')  { //APRUEBA RRHH
		$query_aprobar = "UPDATE vacacion SET aprobacion_rrhh ='Aprobado' WHERE id_vacacion = '$aprobacionVacacion'";
		$resultado_aprobar = mysqli_query($enlace,$query_aprobar);
		if (mysql_affected_rows($enlace) > 0) { //Registro aprobado satisfactoriamente
			$resultado_aprobacion = "Registro aprobado";

			//Envía correo
			$nombre_usuario = $_SESSION['nombre_validar']; //Nombre del usuario que aprueba

			//Consulta el nombre del trabajador al que se le aprobaron las vacaciones
			$query_trabajador = "SELECT CONCAT (pe.nombres, ' ', pe.nombres1, ' ', pe.apellidos, ' ',pe.apellidos1) AS nombres FROM vacacion AS vac INNER JOIN personal AS pe ON pe.codigo = vac.cedula WHERE vac.id_vacacion = '$aprobacionVacacion'";

			$resul_trabajador = mysqli_query($enlace,$query_trabajador) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$reg_trabajador = mysqli_fetch_array($resul_trabajador);
			$nombres = preg_replace("/\s+/", " ", trim($reg_trabajador['nombres']));

			//Enviar correo a Supervisor y RRHH
			$destinatario = 'GSAYAGO1@FORD.COM, GCURBELO@FORD.COM, BSALAZA3@FORD.COM, NOMINA.FORD@SAIREH.COM';
			$asunto = 'Aprobación de vacaciones de '.$nombres ;
			$email = 'info@saireh.com';
			$mensaje = $nombre_usuario . ' ha APROBADO las vacaciones  de '.$nombres.' en SAIREH, se requiere ahora de su revisión y aprobación de estas vacaciones para confimar y completar su procesamiento.';

			$headers .= "X-Mailer: PHP/" . phpversion() . "\r\n";
			$headers .= "MIME-Version: 1.0 \r\n";
			$headers .= "Content-Type: text/html; charset=iso-8859-1\r\n";
			$headers .= "From:SAIREH Nomina <info@saireh.com>\r\n";
			mail("$destinatario", utf8_decode("$asunto"), utf8_decode("<font color='#000000' size='1' face='arial'>
			<strong>HA RECIBIDO UN CORREO ELECTR&Oacute;NICO DESDE https://www.saireh.com/fordve</strong></font><br><br>
			<br>$mensaje."), "$headers");
		}
	} else if ($usuario == 'GSAYAGO1') { //APRUEBA NOMINA
		$query_aprobar = "UPDATE vacacion SET aprobacion_nomina ='Aprobado' WHERE id_vacacion = '$aprobacionVacacion'";
		$resultado_aprobar = mysqli_query($enlace,$query_aprobar);
		if (mysql_affected_rows($enlace) > 0) {
			$resultado_aprobacion = "Registro aprobado";

			//Envía correo
			$nombre_usuario = $_SESSION['nombre_validar']; //Nombre del usuario que aprueba

			//Consulta el nombre del trabajador al que se le aprobaron las vacaciones
			$query_trabajador = "SELECT CONCAT (pe.nombres, ' ', pe.nombres1, ' ', pe.apellidos, ' ',pe.apellidos1) AS nombres FROM vacacion AS vac INNER JOIN personal AS pe ON pe.codigo = vac.cedula WHERE vac.id_vacacion = '$aprobacionVacacion'";

			$resul_trabajador = mysqli_query($enlace,$query_trabajador) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$reg_trabajador = mysqli_fetch_array($resul_trabajador);
			$nombres = preg_replace("/\s+/", " ", trim($reg_trabajador['nombres']));

			//Enviar correo a Supervisor y RRHH
			$destinatario = 'MCALLES1@FORD.COM, GSAYAGO1@FORD.COM, GCURBELO@FORD.COM, BSALAZA3@FORD.COM, NOMINA.FORD@SAIREH.COM';
			$asunto = 'Aprobación de vacaciones de '.$nombres ;
			$email = 'info@saireh.com';
			$mensaje = $nombre_usuario . ' ha APROBADO las vacaciones  de '.$nombres.' en SAIREH, se requiere ahora de su revisión y aprobación de estas vacaciones para confimar y completar su procesamiento.';

			$headers .= "X-Mailer: PHP/" . phpversion() . "\r\n";
			$headers .= "MIME-Version: 1.0 \r\n";
			$headers .= "Content-Type: text/html; charset=iso-8859-1\r\n";
			$headers .= "From:SAIREH Nomina <info@saireh.com>\r\n";
			mail("$destinatario", utf8_decode("$asunto"), utf8_decode("<font color='#000000' size='1' face='arial'>
			<strong>HA RECIBIDO UN CORREO ELECTR&Oacute;NICO DESDE https://www.saireh.com/fordve</strong></font><br><br>
			<br>$mensaje."), "$headers");
		}
	} else if ($usuario == 'MCALLES1') { //APRUEBA CONTABILIDAD
		$query_aprobar = "UPDATE vacacion SET aprobacion_contabilidad ='Aprobado' WHERE id_vacacion = '$aprobacionVacacion'";
		$resultado_aprobar = mysqli_query($enlace,$query_aprobar);
		if (mysql_affected_rows($enlace) > 0) {
			$resultado_aprobacion = "Registro aprobado";

			//Envía correo
			$nombre_usuario = $_SESSION['nombre_validar']; //Nombre del usuario que aprueba

			//Consulta el nombre del trabajador al que se le aprobaron las vacaciones
			$query_trabajador = "SELECT CONCAT (pe.nombres, ' ', pe.nombres1, ' ', pe.apellidos, ' ',pe.apellidos1) AS nombres FROM vacacion AS vac INNER JOIN personal AS pe ON pe.codigo = vac.cedula WHERE vac.id_vacacion = '$aprobacionVacacion'";

			$resul_trabajador = mysqli_query($enlace,$query_trabajador) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$reg_trabajador = mysqli_fetch_array($resul_trabajador);
			$nombres = preg_replace("/\s+/", " ", trim($reg_trabajador['nombres']));

			//Enviar correo a Supervisor y RRHH
			$destinatario = 'MCALLES1@FORD.COM, GSAYAGO1@FORD.COM, GCURBELO@FORD.COM, BSALAZA3@FORD.COM, NOMINA.FORD@SAIREH.COM';
			$asunto = 'Aprobación de pago de vacaciones de '.$nombres ;
			$email = 'info@saireh.com';
			$mensaje = $nombre_usuario . ' ha APROBADO las vacaciones  de '.$nombres.' en SAIREH para su pago';

			$headers .= "X-Mailer: PHP/" . phpversion() . "\r\n";
			$headers .= "MIME-Version: 1.0 \r\n";
			$headers .= "Content-Type: text/html; charset=iso-8859-1\r\n";
			$headers .= "From:SAIREH Nomina <info@saireh.com>\r\n";
			mail("$destinatario", utf8_decode("$asunto"), utf8_decode("<font color='#000000' size='1' face='arial'>
			<strong>HA RECIBIDO UN CORREO ELECTR&Oacute;NICO DESDE https://www.saireh.com/fordve</strong></font><br><br>
			<br>$mensaje."), "$headers");
		}
	}
}
///fin aprobaciones
*/

//calculo de vacaciones SAIREH Vzla.
 $consultaTasa = mysqli_query($enlace,"select tasa_usd_2 from empresa where  id='" . $_SESSION['id_validar'] . "' ");
 $valorTasa=0;
 if (mysqli_num_rows($consultaTasa)!=0) {
	 $rowTasa = mysqli_fetch_array($consultaTasa);
	 $valorTasa =  $rowTasa['tasa_usd_2'];
 }


$consulta = mysqli_query($enlace,"select * from periodo where id='" . $_SESSION['id_validar'] . "' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta) != 0) {
	$row = mysqli_fetch_array($consulta);
	$per = mostrar_fecha($row['desde']) . ' al ' . mostrar_fecha($row['hasta']) . " (Nom:" . $row['nomina'] . ")";
	$fechaHastaParaVac = $row['desde'] ;
} else $per = '';
menu();
set_time_limit(3000);

///////////////////////////////////////////////// grabar vacaciones ////////////////////////////////////////////////////////////////
if ($_POST['grabar'] == 1) {

	//====================== buscar registros
	$consulta = "select turno from personal where personal.id='" . $_SESSION['id_validar'] . "' and personal.codigo= '" . $_POST['cedula'] . "'";
	$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$row = mysqli_fetch_array($resultado);
	$fecha_ingreso = $row['fechai'];

	//====================== buscar dias de descanso en turno
	$dia1 = 0;
	$dia2 = 0;
	if ($row['turno'] == '') {
		$dia1 = 1;
		$dia2 = 7;
	} else {
		$consultag = "Select semana from turno where id='" . $_SESSION['id_validar'] . "' and codigo='" . trim($row['turno']) . "'";
		$consultag = mysqli_query($enlace,$consultag) or die("no se pudo realizar la consulta..." . $consultag . '=' . mysqli_error($enlace));
		$rowg = mysqli_fetch_array($consultag);
		$semanaf = $rowg['semana'];
		for ($x = 0; $x < 7; $x++) {
			if (substr($semanaf, $x, 1) == 'D') {
				if ($dia1 == 0) $dia1 = ($x == 6 ? 1 : $x + 2);
				else {
					if ($dia2 == 0) $dia2 = ($x == 6 ? 1 : $x + 2);
				}
			}
		}
	}
	//$valor_dvac = $_POST['sueldo']/30 * $_POST['dvac'];
	//$valor_dbon = $_POST['sueldo']/30 * $_POST['dbon'];
	
	$valor_dvac = $_POST['sueldo'] * $_POST['dvac'];
	$valor_dbon = $_POST['sueldo'] * $_POST['dbon'];

	//====== bono post vacacion
	$diasBonoPost = $_POST['dbonPost'] ? $_POST['dbonPost'] : 0 ;
	$valorBonoPost = $_POST['dbonPost'] ? $_POST['sueldo'] * 15 : 0;

	//====================== buscar dias feriados y sabado y domingo
	$desde  = crear_fecha($_POST['fecha1']);
	$desdex = crear_fecha($_POST['fecha1']);
	$hasta  = crear_fecha($_POST['fecha2']);
	$final  = crear_fecha($_POST['fecha3']);

	//Cuando no es automatico entra aqu�
	/*
	if ($_POST['fecha2']!='' && $_POST['fecha3']!='') {
		$otros = 0; $ddias='';
		while ($desde<$final) {
			$dia = substr($desde,8,2);
			$mes = substr($desde,5,2);
			$ano = substr($desde,0,4);
			$entro=0;
			$consulta1="select fecha from tab_feriado where id='".$_SESSION['id_validar']."' and substr(fecha,6,5)='".substr($desde,5,4)."'";
			$resultado1 = mysqli_query($enlace,$consulta1) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			while ($row1 = mysqli_fetch_array($resultado1)) $entro=1;
			if ($entro==1) {
				$otros++;
				$ddias .='('.$desde.') ';
			} else {
				$semana = dia_semana($dia,$mes,$ano);
				if ($semana==$dia1 || $semana==$dia2) {
					$otros++;
					$ddias .='('.$desde.') ';
				} else $dactivo++;
			}
			$desde = date('Y-m-d',mktime(0,0,0,$mes,$dia+1,$ano));
		}
	}
*/
	//////////HASTA AQUI CUANDO NO ES AUTOMATICO

	///////////////////CUANDO ES AUTOMATICO ENTRA AQUI

	// Dias adicionales por antiguedad (Art 190) para el c�lculo

	//$dant= ($_POST['antiguedad']>=2?$_POST['antiguedad']-1:0) + $_POST['dvac'];Esta l�nea se sustituy� por el IF-ELSEIF de abajo para limitar los d�as adicionales a 15 cuando la antig�edad sea mayor a 15

	if ($_POST['antiguedad'] <= 1) {
		$dant = '0' + $_POST['dvac'];
	} elseif ($_POST['antiguedad'] > 1 && $_POST['antiguedad'] < 15) {
		$dant = $_POST['diext'] + $_POST['dvac'];
	} else
		$dant = $_POST['diext'] + $_POST['dvac'];

	//$valor_dias_ext = $_POST['sueldo']/30 * $_POST['diext'];
	$valor_dias_ext = $_POST['sueldo'] * $_POST['diext'];

	//$dias_ext2=($_POST['antiguedad']>=1?$_POST['antiguedad']:0);
	/// No aplican los d�as adicionales del Art 192 en Ford por Convenio colectivo (pagan siempre 65 d�as)

	//$valor_dias_ext2=$_POST['sueldo']/30*$dias_ext2;

	$otros = 0;
	$ddias = '';
	$dactivo = 0;
	while ($dactivo < $dant) {
		$dia = substr($desde, 8, 2);
		$mes = substr($desde, 5, 2);
		$ano = substr($desde, 0, 4);
		$entro = 0;
		//$consulta1 = "select fecha from tab_feriado where id='" . $_SESSION['id_validar'] . "' and substr(fecha,6,5)='" . substr($desde, 5, 5) . "'";
		$consulta1 = "select fecha from tab_feriado where substr(fecha,6,5)='" . substr($desde, 5, 5) . "'";
		$resultado1 = mysqli_query($enlace,$consulta1) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		while ($row1 = mysqli_fetch_array($resultado1)) $entro = 1;
		if ($entro == 1) {
			$otros++;
			$ddias .= '(' . $desde . ') ';
		} else {
			$semana = dia_semana($dia, $mes, $ano);
			if ($semana == $dia1 || $semana == $dia2) {
				$otros++;
				$ddias .= '(' . $desde . ') ';
			} else $dactivo++;
		}
		$desde = date('Y-m-d', mktime(0, 0, 0, $mes, $dia + 1, $ano));
	}

	////////Para Imprimir en pantalla para verificar valores No pasa nada si se borran estos echos
	//echo $dactivo."</br>";
	//echo $otros."</br>";
	//echo $ddias."</br>";

	//==================================== ver cuando ingreso a trabajar
	$entro = 0;
	$dia = substr($desde, 8, 2);
	$mes = substr($desde, 5, 2);
	$ano = substr($desde, 0, 4);
	$hasta = date('Y-m-d', mktime(0, 0, 0, $mes, $dia - 1, $ano));
	$final = $desde;
	while ($entro == 0) {
		$dia = substr($final, 8, 2);
		$mes = substr($final, 5, 2);
		$ano = substr($final, 0, 4);
		$semana = dia_semana($dia, $mes, $ano);

		if ($semana != $dia1 && $semana != $dia2) {
			//Agregado por victor PE�a
			//$consulta1 = "select fecha from tab_feriado where id='" . $_SESSION['id_validar'] . "' and substr(fecha,6,5)='" . substr($final, 5, 5) . "'";
			$consulta1 = "select fecha from tab_feriado where substr(fecha,6,5)='" . substr($final, 5, 5) . "'";
			$resultado1 = mysqli_query($enlace,$consulta1) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			if ($row1 = mysqli_fetch_array($resultado1)) {
				// $otros++;
				$ddias .= '(' . $final . ') ';
				$final = date('Y-m-d', mktime(0, 0, 0, $mes, $dia + 1, $ano));
			} else $entro = 1;
		} else {
			//$otros++;
			//$ddias .='('.$final.') ';
			$final = date('Y-m-d', mktime(0, 0, 0, $mes, $dia + 1, $ano));
		}

		//$valor_otros_dias = $_POST['sueldo']/30 * $otros;
		$valor_otros_dias = $_POST['sueldo'] * $otros;
	}
	//echo $otros."</br>";
	//echo $ddias."</br>";

	if ($_POST['des1'] == 1) $_POST['semana'] == 0;

	$imes = mostrar_antiguedad(2, $_POST['fec'], $desdex);
	$_POST['icol'] = 0;

	/*
	/////////////CALCULO DE DIAS DE LA QUINCENA ANTERIOR A PAGAR

	////////////Solo aplica para nómina mensual

	if ($tipoNom == 2) {
		///Declaro varaiables
		$fechaInicVac = $desdex;
		$DiaInicVac = substr($desdex, 8, 2);
		//echo "Fecha Inicio Vacaciones: ".$fechaInicVac."</br>";

		if ($DiaInicVac <= 15) {
			$UltDiaQuinc = 15;
		} elseif ($DiaInicVac > 15 && $DiaTerminoVac <= 31) {
			$UltDiaQuinc = 30;
		}
		$DiasQuincPagadosVac = $UltDiaQuinc - $DiaInicVac + 1;
		$DiasQuincApagarVac = 15 - $DiasQuincPagadosVac;
		$valorDiasQuincApagarVac = $_POST['smesdia'] * $DiasQuincApagarVac;
	}
	//Imprimir en pantalla para verificar valores No pasa nada si se borran estos echos
	//echo "Ultimo Dia de Quincena en Vacaciones: ".$UltDiaQuinc."</br>";
	//echo "Dias de la Quincena Pagados en Vacaciones: ".$DiasQuincPagadosVac."</br>";
	//echo "Dias de la Quincena a Pagar en Vacaciones: ".$DiasQuincApagarVac."</br>";
	//echo "Valor Dias de la Quincena a Pagar en Vacaciones: ".$valorDiasQuincApagarVac."</br>";
	*/

	//////////////Calculo el Neto a Pagar por vacaciones


	///////Calculo Deducciones
	$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$sueldoMinimo=$row['sueldominimo'];
		}
	$topesso = $sueldoMinimo*5;

	$consulta2="select smes, bono1, bono2 FROM  personal where codigo='".$cedula."' ";
		$resultado2 = mysqli_query($enlace,$consulta2) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$row2 = mysqli_fetch_array($resultado2);
		$sueldoBase=($row2['bono1']+$row2['bono2'])*30+$row2['smes'];






	///EJECUTAR RETENCIONES DE SEG SOC DEPENDIENDO EL TIPO DE NOMINA

	/*
	if ($row['des1']==0) {

		if($tipoNom==2)//Para Nómina Quincenal
			{
			////Verifica el tope del SSO para aplicar si corresponde
			if ($sueldoBase < $topesso)
				{//Sueldo menor que el tope

			echo "ENTRO AQUIII 2  : sueldo base:".$sueldoBase;

				$sso = $sueldoBase/30*0.04*15;//descuento sso quincenal
				$rpe = $sueldoBase/30*0.005*15;//descuento rpe quincenal
				}
				else {//Sueldo mayor que el tope
				echo "ENTRO AQUIII 3";
						$sso = $topesso*12/52*0.04*$row['isso'];
						$rpe = $topesso*12/52*0.005*$row['isso'];
					}
				////////////////////


			}///Fin de tipo de Nómina Quincenal

			elseif($tipoNom==1)//Para Nómina Semanal
				{
				echo "ENTRO AQUI 4";
					////Verifica el tope del SSO para aplicar si corresponde
					if ($sueldoBase < $topesso)
						{
							echo "ENTRO AQUI 5";
						//Sueldo menor que el tope
						$sso = $sueldoBase/30*0.04*7;//descuento sso semanal
						$rpe = $sueldoBase/30*0.005*7;//descuento rpe semanal
						}
						else
							//Sueldo mayor que el tope
							{
							echo "ENTRO AQUI 6";
							$sso = $topesso/30*7*0.04*7;
							$rpe = $topesso/30*7*0.005*7;
							}
						////////////////////
				}

				////Fin de tipo de nómina semanal


	} else {

			$sso=0;$rpe=0;
		}
		*/

		///////////////Calculo de reservas
				/*
				if($tipoNom==2)//Para Nómina Quincenal
				{
				$ssoProv=$sso/15*($_POST['dvac']+$DiasQuincApagarVac+$_POST['diext']+$otros);
				$rpeProv=$rpe/15*($_POST['dvac']+$DiasQuincApagarVac+$_POST['diext']+$otros);
				$aporteJubProv=$aporteJubil/15*($dvac+$dias_sueldo+$dias_ext+$otros);
				}
				elseif($tipoNom==1)
				{
					 echo "Despues AQUIIIII ";
				$ssoProv=$sso*$_POST['semana'];
				$rpeProv=$rpe*$_POST['semana'];
				$aporteJubProv=$aporteJubil/7*($dvac+$dias_sueldo+$dias_ext+$otros);

				}
				*/

				///EJECUTAR RETENCIONES DE SEG SOC DEPENDIENDO EL TIPO DE NOMINA
		$consulta = "select * from personal where id='" . $_SESSION['id_validar'] . "' and codigo='" . $cedula . "' ";
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$num_rows = mysqli_num_rows($resultado);
		if ($num_rows != 0) {
		$row = mysqli_fetch_array($resultado);
		$smes = ($row['smes']/30+$row['bono1']+$row['bono2'])*30;
		}

		$tipoNom = $_POST['tip'];
		//echo "TIPO de NOMINA".$tipoNom."<br>";
		//echo "<br>Sueldo Mensual".$smes."<br>";
		//echo "<br>Tope SSO".$topesso."<br>";
		//echo "<br>SueldoBase".$sueldoBase."<br>";


		/*  ////////////MERSAN NO RETIENE SEG SOC  A LOS EMPLEADOS
		if($tipoNom==2)//Para Nómina Quincenal
			{
			////Verifica el tope del SSO para aplicar si corresponde
			if ($smes < $topesso)
				{//Sueldo menor que el tope
				$sso = round($sueldoBase*12/52*0.04*2,2);//descuento sso quincenal
				$rpe = round($sueldoBase*12/52*0.005*2,2);//descuento rpe quincenal
				}
				else {//Sueldo mayor que el tope
						$sso = round($topesso*12/52*0.04*2,2);
						$rpe = round($topesso*12/52*0.005*2,2);
					}
				////////////////////


			}///Fin de tipo de Nómina Quincenal

			elseif($tipoNom==1)//Para Nómina Semanal
				{
					////Verifica el tope del SSO para aplicar si corresponde
					if ($smes < $topesso)
						{
						//Sueldo menor que el tope
						$sso = round($sueldoBase/30*7*0.04,2);//descuento sso semanal
						$rpe = round($sueldoBase/30*7*0.005,2);//descuento rpe semanal
						}

						else
							{//Sueldo mayor que el tope
							$sso = round($topesso/30*7*0.04,2);
							$rpe = round($topesso/30*7*0.005,2);
							}
						////////////////////
				}
				*/
			//echo "<br>sso: ".$sso;
			//echo "<br>rpe: ".$rpe;

				////Fin de tipo de nómina semanal
			/*
				///////////////Calculo de reservas
				$TotalDiasAusencia = $_POST['dvac']+$DiasQuincApagarVac+$_POST['diext']+$otros;
				//echo "TotalDiasAusencia : ".$TotalDiasAusencia;
				//echo "SSO: ".$sso;

				if($tipoNom==2)//Para Nómina Quincenal
				{
				$ssoProv=round($sso/15*$TotalDiasAusencia,2);
				$rpeProv=round($rpe/15*$TotalDiasAusencia,2);
				}
				elseif($tipoNom==1)
				{
					///calculo el nro de semanas
					$semanasSso=ceil($TotalDiasAusencia/7);

				$ssoProv=round($sso*$semanasSso,2);
				$rpeProv=round($rpe*$semanasSso,2);

				}
				//echo "<br>ssoProv: ".$ssoProv;
				//echo "<br>rpeProv: ".$rpeProv;
				//echo "Iso".$_POST['semana'];
				*/
				////Calcula la edad para saber si retiene o no RPVH

				/*
				if ($_POST['edad']<60)
					{///Menos de 60 años retiene
					//$rpvh = $sueldo*($dvac+$dias_sueldo+$dias_ext+$otros)*0.01;
					$rpvh = round((($valor_dvac + $valor_dbon + $valor_otros_dias + $valor_dias_ext)*0.01),2);
					}
					else $rpvh=0;////mas de 60 años no retiene
				*/

		//calculando Retenciones de Caja de Ahorros
		$sql2="SELECT SUM(monto) AS monto FROM constante_individual WHERE id='".$_SESSION['id_validar']."' and cedula='".$cedula."'
		and codigo IN ('2021','2023') ";
		$result2 = mysqli_query($enlace,$sql2) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$datos2 = mysqli_fetch_array($result2);
		$porcentajeCa=$datos2['monto'];

		if($tipoNom==2){
		$ApoCajaAhorr= $porcentajeCa*$sueldoBase/15*$TotalDiasAusencia/100;
		}
		elseif($tipoNom==1)
		{
		$ApoCajaAhorr= $porcentajeCa*$sueldoBase/15*$TotalDiasAusencia/100;
		}

		//calculando Retención Aporte a Plan de Jubilación
		$sql4="SELECT SUM(monto) AS monto FROM constante_individual WHERE id='".$_SESSION['id_validar']."' and cedula='".$cedula."'
		and codigo IN ('2041','2042') ";
		$result4 = mysqli_query($enlace,$sql4) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$datos4 = mysqli_fetch_array($result4);
		$aporteJubil=$datos4['monto'];

		$aporteJubProv=$aporteJubil/15*$TotalDiasAusencia;

		$totalReserva = $ssoProv + $rpeProv + $aporteJubProv +$ApoCajaAhorr ;
		//echo "Reserva caja Ahorro : ".$ApoCajaAhorr."</br>";
		//echo "Reserva Plan Jubilac : ".$aporteJubProv."</br>";


		$ValorNetoVacac = 0;
		$ValorTotalVacac = 0;

		$ValorTotalVacac = $valor_dvac + $valor_dbon + $valor_otros_dias + $valor_dias_ext + $valorBonoPost;
		if($tipoNom == 2){
			$diarioPqte = $_POST['paquete'] / 30;
			$equivalenteUSD = $ValorTotalVacac / $_POST['tasa'];
			$valorDvacUSD =  $_POST['dvac'] * $diarioPqte;
			$valorDiextUSD =  $_POST['diext'] * $diarioPqte;
			$valorDbonUSD =  $_POST['dbon'] * $diarioPqte;
			$valorOtrosUSD = $otros * $diarioPqte;
			$valorBonoPostUSD = $diasBonoPost * $diarioPqte;
			$totaUSD = $valorDvacUSD + $valorDiextUSD + $valorDbonUSD + $valorOtrosUSD + $valorBonoPostUSD;
			$diferenciaUSD = $totaUSD  -  $equivalenteUSD ;
			$moduloEntero = (($diferenciaUSD * 1000) % 5000);
			$diferenciaBs = $moduloEntero / 1000  * $_POST['tasa'];
			$porcUSD =  $diferenciaUSD -  ($totaUSD * 0.52) - ($moduloEntero / 1000);
			$ValorTotalVacac = $ValorTotalVacac + $diferenciaBs;
		}
		$ValorNetoVacac = $ValorTotalVacac -$totalReserva - $rpvh;





		//================= calculo con tasa


	////////////////////////////
	//////imprimiendo valores para probar  --- Miguelangel
	//////echo "sueldoBase: ".$sueldoBase;
	///////echo "SSO: ".$sso;
	/////echo "Provision SSO: ".$ssoProv;
	///////echo "Provision RPE: ".$rpeProv;
	/////echo "Semanas sso: ".$_POST['semana'];
	///No pasa nada si se eliminan estas lineas  --- Miguelangel

	$consulta = "insert into vacacion (
	cedula,
	nombresxx,
	apellidosxx,
	tip,
	fec_ingreso,
	sueldo,
	periodo,
	antiguedad,
	fdesde,
	fhasta,
	reintegro,
	icol,
	imes,
	isso,
	dia1,
	dia2,
	dvac,
	valor_dvac,
	dias_ext,
	valor_dias_ext,
	dbon,
	valor_dbon,
	otros,
	valor_otros_dias,
	dias_post,
	valor_dias_post,
	valor_conversion,
	ddias,
	dias_sueldo,
	valor_dias_sueldo,
	des1,
	des2,
	sso_vac,
	rpe_vac,
	rpvh_vac,
	total_pago_vaca,
	neto_pagar_vacacion,
	id )  ";

	$consulta .= "values (
	'" . $_POST['cedula'] . "',
	'" . $_POST['nombres'] . "',
	'" . $_POST['apellidos'] . "',
	'" . $_POST['tip'] . "',
	'" . $_POST['fec'] . "',
	'" . $_POST['sueldo'] . "',
	'" . $_POST['periodo'] . "',
	'" . $_POST['antiguedad'] . "',
	'" . $desdex . "',
	'" . $hasta . "',
	'" . $final . "' ,
	'" . $_POST['icol'] . "',
	'" . $imes . "',
	'" . $_POST['semana'] . "',
	'" . $dia1 . "',
	'" . $dia2 . "',
	'" . $_POST['dvac'] . "',
	'" . $valor_dvac . "',
	'" . $_POST['diext'] . "',
	'" . $valor_dias_ext . "',
	'" . $_POST['dbon'] . "',
	'" . $valor_dbon . "',
	'" . $otros . "',
	'" . $valor_otros_dias . "',
	'" . $diasBonoPost . "',
	'" . $valorBonoPost. "',
	'" . $diferenciaBs . "',
	'" . $ddias . "',
	'" . $DiasQuincApagarVac . "',
	'" . $valorDiasQuincApagarVac . "' ,
	'" . $_POST['des1'] . "',
	'" . $_POST['des2'] . "',
	'" . $ssoProv . "' ,
	'" . $rpeProv . "' ,
	'" . $rpvh . "' ,
	'" . $ValorTotalVacac. "',
	'" . $ValorNetoVacac . "',
	'" . $_SESSION['id_validar'] . "'
	)";
	$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	if ($resultado && $tipoNom == 2){
		$selectIdVacacion =mysqli_query($enlace," select max(id_vacacion) as idVacacion from vacacion where id = '". $_SESSION['id_validar'] . "' and cedula='". $_POST['cedula'] . "' and periodo='". $_POST['periodo'] . "' and  fdesde = '" . $desdex . "'");
		$consultaIdVacacion =mysqli_fetch_object($selectIdVacacion);
		$insertVacacionPqte = "insert into vacacion_usd (id_vacacion,cedula,nombres,apellidos,tip,fecha_ingreso,periodo,monto,ddias,antiguedad,fdesde,
			fhasta,reintegro,tasa,dvac,valor_dvac,dias_ext, valor_dias_ext,	dbon, valor_dbon, otros, valor_otros, dias_post, valor_dias_post,
			valor_mayor,valor_diferencia,total_pago_vac,id ) ";
		$insertVacacionPqte .="values (
			'" . $consultaIdVacacion->idVacacion . "',
			'" . $_POST['cedula'] . "',
			'" . $_POST['nombres'] . "',
			'" . $_POST['apellidos'] . "',
			'" . $_POST['tip'] . "',
			'" . $_POST['fec'] . "',
			'" . $_POST['periodo'] . "',
			'" . $_POST['paquete'] . "',
			'" . $ddias . "',
			'" . $_POST['antiguedad'] . "',
			'" . $desdex . "',
			'" . $hasta . "',
			'" . $final . "',
			'" . $_POST['tasa']. "',
			'" . $_POST['dvac'] . "',
			'" . $valorDvacUSD . "',
			'" . $_POST['diext'] . "',
			'" . $valorDiextUSD . "',
			'" . $_POST['dbon'] . "',
			'" . $valorDbonUSD . "',
			'" . $otros . "',
			'" . $valorOtrosUSD . "',
			'" . $diasBonoPost . "',
			'" . $valorBonoPostUSD . "',
			'" . ($totaUSD * 0.52). "',
			'" . $porcUSD . "',
			'" . ($porcUSD + ($totaUSD * 0.52)). "',
			'" . $_SESSION['id_validar'] . "')";

		$resultado = mysqli_query($enlace,$insertVacacionPqte) or die('Inserci&oacute; del paquete fall&oacute;: ' . mysqli_error($enlace));

	}

}
///////////////////////////////////////////////// eliminar vacaciones ////////////////////////////////////////////////////////////////
if ($accion == 2) {
	$consulta = "delete from vacacion where id='" . $_SESSION['id_validar'] . "' and cedula='" . $cedula . "' and periodo='" . $periodo . "' and fdesde='" . $fdesde . "'";
	$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	mysqli_free_result($resultado);

	$consulta = "delete from vacacion_usd where id='" . $_SESSION['id_validar'] . "' and cedula='" . $cedula . "' and periodo='" . $periodo . "' and fdesde='" . $fdesde . "'";
	$resultado = mysqli_query($enlace,$consulta) or die('Error en eliminaci&oacute; de vacacion_paquete: ' . mysqli_error($enlace));
	mysqli_free_result($resultado);
}

/////////////////////////////////////////////////MOSTRAR SOLICITUD DE CEDULA ////////////////////////////////////////////////////////////////
if ((!$_POST || $_POST['busca'] == 1) && ($accion != 5) && ($accion != 2) && ($_POST['grabar'] != 1)) {
	echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='img2/deduccion.png' alt='Seleccionar'>&nbsp;Seleccionar Trabajador";
	echo "&nbsp;&nbsp;<a href='calculo_vacaciones_colectivas.php'><img border = 0 src='img2/apuntes.png' alt='Vacaciones Colectivas'>&nbsp;Reporte Vacaciones Colectivas</a>";
	echo "&nbsp;&nbsp;<a href='calculo_vacaciones_feriado.php'><img border = 0 src='img2/icono_04.png' alt='Nuevo Fecha Feriado'>&nbsp;Fecha Feriado</a>";
	echo "<hr><h2>CALCULO DE VACACIONES</h2>";

	echo "<form name = 'entrada' action = '" . $_SERVER['PHP_SELF'] . "' method = 'POST'  enctype='multipart/form-data'>";
	echo "<input type = 'hidden' name = 'busca' value = '1'>";
	echo "<table cellpadding=2 cellspacing=0 width='500' align='center'>";
	echo "<tr>";
	echo "<td align=right> C&eacute;dula/Nombre/Apellido:</td>";
	echo "<td> <input name='cedula' size = '30' maxlength = '8'></td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td align=right> Ordenado por:</td>";
	echo "<td colspan = 3>";
	echo "	<input type = 'radio' name = 'orden' value = 'ced' checked> cedula";
	echo "	<input type = 'radio' name = 'orden' value = 'nom'> nombre";
	echo "	<input type = 'radio' name = 'orden' value = 'ape'> apellido";
	echo "	<input type = 'radio' name = 'orden' value = 'fechai'> Fecha Ingreso";
	echo "</tr>";
	echo "</table>";
	echo "	<script language='javascript' type='text/javascript'>";
	echo "		document.entrada.cedula.focus()";
	echo "	</script>";
	echo "<table border=0  align = 'center'><tr>";
	echo "<td><input type = 'submit' value = 'Buscar Registros'></td>";
	echo "</tr></table></form>";

	$query1 = "";
	if ($_POST['cedula'] != "") {
		$query1 = " and (codigo like '%" . $_POST['cedula'] . "%' or nombres like '%" . $_POST['cedula'] . "%' or apellidos like '%" . $_POST['cedula'] . "%') ";
	}
	if ($_POST['orden'] == "fechai") $query2 = " order by fechai";
	else if ($_POST['orden'] == "nom") $query2 = " order by nombres";
	else if ($_POST['orden'] == "ape") $query2 = " order by apellidos";
	else if ($_POST['orden'] == "ced") $query2 = " order by codigo";
	else $query2 = " order by nombres";

	$consulta = "select * from personal where id='" . $_SESSION['id_validar'] . "' and status<>'I' " . $query1 . $query2;
	$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$num_rows = mysqli_num_rows($resultado);
	if ($num_rows != 0) {
		echo "<table rules=none border=0 cellpadding=2 cellspacing=0 align='center'>";
		echo "<tr bgcolor='#43bced' height='35'>";
		echo "<th align = center><font color='white'> Foto </font></th>";
		echo "<th align = left><font color='white'> C&eacute;dula </font></th>";
		echo "<th align = left><font color='white'> Nombres </font></th>";
		echo "<th align = left><font color='white'> Apellidos </font></th>";
		echo "<th align = center><font color='white'> Status </font></th>";
		echo "<th align = center><font color='white'> Fecha Ingreso </font></th>";
		echo "<th colspan = 4 align = center><font color='white'> Acci&oacute;n </font></th>";
		for ($cont = 0; $cont < $num_rows; $cont++) {
			$row = mysqli_fetch_array($resultado);
			$cedula = $row['codigo'];
			if ($color) {
				$tcolor = "#dfdfd0";
				if (file_exists('fotos/' . $cedula . '.jpg')) $imagen = 'fotos/' . $cedula . '.jpg';
				else $imagen = 'img2/nohay2.jpg';
			} else {
				$tcolor = "white";
				if (file_exists('fotos/' . $cedula . '.jpg')) $imagen = 'fotos/' . $cedula . '.jpg';
				else $imagen = 'img2/nohay.jpg';
			}
			echo '<tr bgcolor=' . $tcolor . ' >';
			echo "<td align'center'><img src='" . $imagen . "' height='64' width='64'></td>";
			echo "<td width='100'><a href='" . $_SERVER['PHP_SELF'] . "?accion=5&cedula=" . $cedula . "'>" . $row['codigo'] . "</a></td>";
			echo "<td width='250'>" . trim($row['nombres']) . " " . $row['nombres1'] . "</td>";
			echo "<td width='250'>" . trim($row['apellidos']) . " " . $row['apellidos1'] . "</td>";
			echo "<td width='50' align='center'>" . ($row['status'] == 'A' ? '<img src="img2/status_ver.png">' : '<img src="img2/status_ver_naranja.png">') . "</td>";
			echo "<td width='120' align=center>" . mostrar_fecha($row['fechai']) . "</td>";

			if (substr($_SESSION['acceso_validar'], 17, 1) == '1')
				echo "<td width='30' align='center'><a href='" . $_SERVER['PHP_SELF'] . "?accion=5&cedula=" . $cedula . "'><img border = 0 src='img2/deduccion.png' alt='Seleccionar �ste registro'></a></td>";
			else echo "<td width='30' align='center'>&nbsp;</td>";

			echo '</tr>';
			$color = !$color;
		}
		echo '</table>';
	} else echo "<hr>";
	mysqli_free_result($resultado);
}

///////////////////////////////////////////////// MOSTRAR DATA A INGRESAR ////////////////////////////////////////////////////////////////
if ($accion == 2 || $accion == 5 || $_POST['grabar'] == 1) {
	include("calendario/calendario.php");

	echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='images/b_regresa.png' alt='Regresar'>:<a href='" . $_SERVER['PHP_SELF'] . "'>Regresar</a>";

	//====================== buscar datos de parametros
	$consulta = mysqli_query($enlace,"select * from empresa where id='" . $_SESSION['id_validar'] . "' ");
	if (mysqli_num_rows($consulta) != 0) {
		$row = mysqli_fetch_array($consulta);
		$dvac = $row['dvac'];
		$dbon = $row['dbon'];
		$icomi = $row['comision'];
		$con01 = $row['constante01'];
		$con02 = $row['constante02'];
		$con03 = $row['constante03'];
		$con04 = $row['constante04'];
		$sueldoMinimo=$row['sueldominimo'];
	}

	/////////////Buscar per�odo de Vacaciones pendiente mas reciente

	$consulta11 = "SELECT MAX(periodo) AS periodo, MAX(antiguedad) AS antiguedad FROM vacacion WHERE vacacion.id='" . $_SESSION['id_validar'] . "' AND vacacion.cedula= '" . $cedula . "'  ";
	$resultado11 = mysqli_query($enlace,$consulta11) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$row11 = mysqli_fetch_array($resultado11);
	$ultimoPer = $row11['periodo'];
	$antiguedadVac = $row11['antiguedad'];
	//Suma 1 dáis mas de bono vacacional por año
	$dbon = $row['dbon']+$antiguedadVac;
	$dbon = ($dbon>50?50:$dbon);
	/// limitar los d�as adicionales de vacaciones (Art. 190) M�x 15 d�as
	/// //$dias_ext=($antiguedadVac>=1?$antiguedadVac:0);
	///Esta l�nea se sustituy� por el IF-ELSEIF de abajo para limitar los d�as adicionales a 15 cuando la antig�edad sea mayor a 15

	if ($antiguedadVac <= 0) {
		$dias_ext = 0;
	} elseif ($antiguedadVac >= 1 && $antiguedadVac <= 15) {
		$dias_ext = $antiguedadVac;
	} else
		$dias_ext = 15;



	$consulta12 = "SELECT SUM(dvac) AS dvac, SUM(dias_ext) AS dias_ext FROM vacacion WHERE vacacion.id='" . $_SESSION['id_validar'] . "' AND vacacion.cedula= '" . $cedula . "' AND vacacion.periodo='" . $ultimoPer . "'  ";
	$resultado12 = mysqli_query($enlace,$consulta12) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$row12 = mysqli_fetch_array($resultado12);
	$diasVacaPagados = $row12['dvac'];
	$diasAdicpagados = $row12['dias_ext'];
	$totalDiasVacaPgados = $diasVacaPagados + $diasAdicpagados;

	///Calcula si le faltan dias adicionales por pagar
	$maxDiasAdicPorAntig = ($antiguedadVac<=15?$antiguedadVac-1:15);
	$diasAdicPendient = $maxDiasAdicPorAntig - $diasAdicpagados;

	////////////////////////////////////////////

	$consulta = "select vacacion.*, personal.nombres, personal.nombres1, personal.apellidos, personal.apellidos1 from vacacion,personal where personal.id='" . $_SESSION['id_validar'] . "' and vacacion.cedula=personal.codigo and vacacion.cedula= '" . $cedula . "'";
	$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$num_rows = mysqli_num_rows($resultado);
	if ($num_rows != 0) {
		echo "&nbsp;&nbsp;<img border = 0 src='img2/icono_07.png' alt='Eliminar'>:Eliminar Vacaci&oacute;n</a>";
		echo "&nbsp;&nbsp;<img border = 0 src='img2/icono_02.png' alt='Imprimir'>:Imprimir Vacaci&oacute;n</a>";

	}

	echo "<hr><h2>CALCULO DE VACACIONES</h2>";

	if ($resultado_aprobacion != '') {
		echo "<div id='response_sucess'>";
		echo $resultado_aprobacion;
		echo "</div>";
	}

	echo "<form name = 'fentrada' action = '" . $_SERVER['PHP_SELF'] . "' method = 'POST'  enctype='multipart/form-data'>";
	echo "<input type = 'hidden' name = 'grabar' value = '1'>";

	$consulta = "select * from personal where id='" . $_SESSION['id_validar'] . "' and codigo='" . $cedula . "' ";
	$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$num_rows = mysqli_num_rows($resultado);
	if ($num_rows != 0) {
		$row = mysqli_fetch_array($resultado);

		//====================== buscar tipo de nomina
		$tipoNom = 1;
		$multiplo = 0;
		$consulta1 = "select tipo, detalle, codigo from nomina where id='" . $_SESSION['id_validar'] . "' and codigo='" . $row['nomina'] . "'";
		$resultado1 = mysqli_query($enlace,$consulta1) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		while ($row1 = mysqli_fetch_array($resultado1)) {
			$tipoNom = $row1['tipo'];
			$detalleNom = $row1['detalle'];
			$codigoNom = $row1['codigo'];
		}

		//====================== buscar Paquete en $$$
		if ($tipoNom == 2) {
			$consultaPqte = "select monto as monto from constante_individual where id='" . $_SESSION['id_validar'] . "' and cedula='" . $cedula . "' and codigo='1600' ";
			$resultadoPqte = mysqli_query($enlace,$consultaPqte) or die('busqueda de paquete fall&oacute;: ' . mysqli_error($enlace));
			$rowPqte =  mysqli_fetch_array($resultadoPqte);
			$montoPqte =  $rowPqte['monto'];
		}
		//====================== buscar Bono Produccion pagado
		
		////Estableciondo Fechas para buscar los bonos pagados
		
		
		////Fecha Anterior Semana de Salida de Vacaciones 
		
		
		$fechaSemanaDesde = date("Y-m-d",strtotime($fechaHastaParaVac."- 28 days")); 
		$fechaSemanaHasta = date("Y-m-d",strtotime($fechaHastaParaVac."- 1 days")); 
		
		///echo  "Fecha Inicio Semana de Salida de Vacaciones: ".$fechaSemanaDesde ."<br>";
		///echo  "Fecha Tope Semana de Salida de Vacaciones: ".$fechaSemanaHasta ."<br>";
		
		if ($tipoNom == 1) {
			$consultaBono = "select SUM(monto) as monto from historico_pagos_especiales WHERE id='" . $_SESSION['id_validar'] . "' AND cedula='" . $cedula . "' AND concepto='1821' AND substr(fecha_registro,1,10)>='" .$fechaSemanaDesde. "'  AND substr(fecha_registro,1,10)<='" .$fechaSemanaHasta. "' ";
			$resultadoBono = mysqli_query($enlace,$consultaBono) or die('busqueda de paquete fall&oacute;: ' . mysqli_error($enlace));
			$rowBonos =  mysqli_fetch_array($resultadoBono);
			$montoBonos =  $rowBonos['monto'];
		}
		
		
		
		
		if ($tipoNom == 1) $multiplo = 4;
		else if ($tipoNom == 2) $multiplo = 6;
		else $multiplo = 3;
		//if ($icomi==1) $multiplo=$multiplo/2;

		//====================== buscar monto constante
		$mon01 = 0;
		$mon02 = 0;
		$mon03 = 0;
		$mon04 = 0;

		if ($con01 != '') {
			$consultax = "select monto from constante_individual where id='" . $_SESSION['id_validar'] . "' and codigo='" . $con01 . "' and cedula='" . $cedula . "' and nomina='" . $row['nomina'] . "'";
			$resultadox = mysqli_query($enlace,$consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			if (mysqli_num_rows($resultadox) != 0) {
				$rowx = mysqli_fetch_array($resultadox);
				if ($tipoNom == 1) $mon01 = $rowx['monto'] / 7 * 30;
				else if ($tipoNom == 2) $mon01 = $rowx['monto'] * 2;
				else $mon01 = $rowx['monto'];
			}
		}
		if ($con02 != '') {
			$consultax = "select monto from constante_individual where id='" . $_SESSION['id_validar'] . "' and codigo='" . $con02 . "' and cedula='" . $cedula . "' and nomina='" . $row['nomina'] . "'";
			$resultadox = mysqli_query($enlace,$consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			if (mysqli_num_rows($resultadox) != 0) {
				$rowx = mysqli_fetch_array($resultadox);
				if ($tipoNom == 1) $mon02 = $rowx['monto'] / 7 * 30;
				else if ($tipoNom == 2) $mon02 = $rowx['monto'] * 2;
				else $mon02 = $rowx['monto'];
			}
		}

		//====================== buscar monto conceptos
		//if ($con03!='') {
		//$consultax="select monto from historico where id='".$_SESSION['id_validar']."' and concepto='".$con03."' and cedula='".$cedula."' and nomina='".$row['nomina']."' order by xxx desc limit ".$multiplo;
		/*$consultax="select monto from historico where id='".$_SESSION['id_validar']."' and (substring(concepto,1,3)='109' OR substring(concepto,1,1)='7') and cedula='".$cedula."' and nomina='".$row['nomina']."' order by xxx desc limit ".$multiplo;
			$resultadox = mysqli_query($enlace,$consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$mpaty=0; $cpaty=0;
			while ($rowx=mysqli_fetch_array($resultadox)) {
				$mpaty +=$rowx['monto'];
				$cpaty ++;
			}
			if ($cpaty>0) {
				if ($cpaty==1) {
					$mon03=$mpaty;
				} else {
					$mon03= $mpaty / $cpaty;
				}
			}*/

		//$consultax = "select round(avg(monto),2) as monto from  (select sum(sueldo) as monto from personal_sueldo where id='" . $_SESSION['id_validar'] . "' and codigo='" . $cedula . "' and fec<'" . substr($fechahoy, 0, -2) . "01' group by fec order by fec desc limit " . $multiplo . ") as prueba";

		$consultax = "select round(avg(monto),2) as monto from  (select sum(sueldo) as monto from personal_sueldo where id='" . $_SESSION['id_validar'] . "' and codigo='" . $cedula . "'  group by fec order by fec desc limit " . $multiplo . ") as prueba";

		$resultadox = mysqli_query($enlace,$consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$mpaty = 0;
		$cpaty = 0;
		if ($rowx = mysqli_fetch_array($resultadox)) {

			if ($tipoNom == 1) {
				$mon03 = $rowx['monto'];
				$monMes = $mon03 / 7 * 30;
				$monDia = $mon03 / 7;
			} else {
				$mon03 = $rowx['monto'];
				$monMes = $mon03 / 15 * 30;
				$monDia = $mon03 / 15;
			}
		}

		//}
		/*
		if ($con04!='') {
			$consultax="select monto from historico where id='".$_SESSION['id_validar']."' and substring(concepto,1,".strlen($con04).")='".$con04."' and cedula='".$cedula."' and nomina='".$row['nomina']."' group by periodo order by xxx desc limit ".$multiplo;
			$resultadox = mysqli_query($enlace,$consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$mpaty=0; $cpaty=0;
			while ($rowx=mysqli_fetch_array($resultadox)) {
				$mpaty +=$rowx['monto'];
				$cpaty ++;
			}
			if ($cpaty>0) {
				$mon04= $mpaty / $cpaty;
			}
		}
		*/
		$smes = ($row['smes']/30+$row['bono1']+$row['bono2'])*30;

		echo "<br><center><img src='img2/administrator.png'><font color=black size=5>&nbsp;" . trim($row['nombres']) . " " . trim($row['nombres1']) . ' ' . trim($row['apellidos']) . " " . trim($row['apellidos1']) . "</font></center><br>";

		//echo "Tipo de N�mina: ".$tipoNom;
		//echo "Multiplo: ".$multiplo;
		echo "<table width = '100%' align ='center'>";
		echo "<tr><td width = '20%' align = 'right'> C&eacute;dula: </td>";
		echo "<td width = '36%' align = 'left'> <input type = 'text' name = 'cedula' size = '30' maxlength = '8' value = '" . $row['codigo'] . "' readonly> * </td>";
		echo "</tr>";
		
		

		

		echo "<tr><td width = '15%' align = 'right'> Nombres: </td>";
		echo "<td width = '29%' align = 'left'> <input type = 'text' name = 'nombres' size = '30' maxlength = '50' value = '" . trim($row['nombres']) . " " . $row['nombres1'] . "' readonly> * </td>";
		echo "</tr>";

		echo "<tr><td align = 'right'> Apellidos: </td>";
		echo "<td align = 'left'> <input type = 'text' name = 'apellidos' size = '30' maxlength = '50' value = '" . trim($row['apellidos']) . " " . $row['apellidos1'] . "' readonly> * </td>";
		echo "</tr>";

		echo "<tr><td align = 'right' > Fecha de Ingreso: </td>";
		echo "<td align = 'left' > <input type = 'text' name = 'fec' size = '10' maxlength = '50' value = '" . $row['fechai'] . "' readonly></td>";
		echo "</tr>";

		//echo "<tr><td align = 'right' > Fecha de Hoy: </td>";
		//echo "<td align = 'left' >" .$fechahoy."</td>";
		//echo "</tr>";


		echo "<tr><td align = 'right' > Tipo de N&oacute;mina : </td>";
		if ($tipoNom == 1){
			echo "<td align = 'left' >  <input type = 'text' name = 'tip' size = '10' maxlength = '50' value = '1' readonly>";
		echo "<input type = 'text' name = 'detalle' size = '15' maxlength = '50' value = '" .$detalleNom. "' readonly></td>";
		}elseif ($tipoNom == 2) {
			echo "<td align = 'left' >  <input type = 'text' name = 'tip' size = '10' maxlength = '50' value = '2' readonly>";
			echo "<input type = 'text' name = 'detalle' size = '15' maxlength = '50' value = '" .$detalleNom. "' readonly></td>";

		} else {"<td align = 'left' >  <input type = 'text' name = 'tip' size = '10' maxlength = '50' value = '3' readonly>";
		echo "<input type = 'text' name = 'detalle' size = '15' maxlength = '50' value = '" .$detalleNom. "' readonly></td>";
		}

		echo "</tr>";

		echo "<tr>";
		echo "<td  width = '200' align = 'right' > <font color=red>Salario B&aacute;sico Mensual (Bs): </font></td>";
		echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'smesx' size = '10' maxlength = '50' value = '" .$smes. "' ></td>";
		echo "</tr>";
		
		if ($tipoNom == 2){//////////Nominas Mensuales

			if($codigoNom =='400' || $codigoNom =='500'){ ///Solo Noma Gerencial y Confidencial se les paga este Bono en Vacaciones
			echo "<tr><td align = 'right' > <b>D&iacute;as para Bono Post Vacacional </b> </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'dbonPost' size = '10' maxlength = '10' value = 15 ></td>";
			echo "</tr>";
			}
			
			echo "<tr><td align = 'right' > <b>Salario Mensual (USD) : </b> </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'paquete' size = '10' maxlength = '10' value = '" .$montoPqte*0.50. "' readonly ></td>";
			
			echo "<tr><td align = 'right' > <b>Tasa Bs/USD : </b> </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'tasa' size = '10' maxlength = '10' value = '" .$valorTasa. "' ></td>";
			echo "</tr>";
			
			echo "</tr>";
		

		//$smesDiario = $smes/30;
		$smesDiarioUsd = $montoPqte * 0.50 / 30 ;
		$smesDiarioBs = $smesDiarioUsd * $valorTasa ;
		
		/*
		echo "<tr>";
		echo "<td  width = '200' align = 'right' > <font color=red>Sueldo B&aacute;sico Diario (Bs): </font></td>";
		echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'smesdia' size = '10' maxlength = '50' value = '" . round($smesDiario, 2) . "' ></td>";
		//number_format($row['antiguedad'],0)
		echo "</tr>";
		*/

		//echo "<tr>";
		//echo "<td  width = '200' align = 'right' > <font color=red>Complemento de Sueldo: </font></td>";
		//echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'smesx' size = '10' maxlength = '50' //value = '".($mon01+$mon02)."' ></td>";
		//echo "</tr>";

		//echo "<tr>";
		//echo "<td  width = '200' align = 'right' > <font color=red>Promedio Asignaciones (prom. 3 meses): </font></td>";
		//echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'smesx' size = '10' maxlength = '50' value = '".($mon03+$mon04)."' ></td>";
		//echo "</tr>";
		
		
		/* ///ya no debe bsucar promedio porque en nóminas e paga Bonif Espec y Compl Sueldo.... Miguelangel 21/03/2023
		if ($smes > $monMes) {
			$sueldo_vac = $smesDiario;
		} else {
			$sueldo_vac = $monDia;
		}
		

		echo "<tr>";
		echo "<td  width = '200' align = 'right' > <font color=red>Salario Promedio Diario </font></td>";
		echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'sueldoDia' size = '10' maxlength = '50' value = '" . round($monDia, 2) . "' ></td>";
		echo "</tr>";
		
		echo "<tr>";
		echo "<td  width = '200' align = 'right' > <font color=red>Salario Mensual para vacaciones </font></td>";
		echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'sueldo' size = '10' maxlength = '50' value = '" . round(($sueldo_vac*30), 2) . "' ></td>";
		echo "</tr>";
		
		*/
		
		
		echo "<tr>"; 
		echo "<td  width = '200' align = 'right' > <font color=red>Salario Normal Diario (Bs)</font></td>";
		echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'sueldoDia' size = '10' maxlength = '50' value = '" . round($smesDiarioBs, 2) . "' ></td>";
		echo "</tr>";
		
		echo "<tr>";
		echo "<td  width = '200' align = 'right' > <font color=red>Salario Diario para vacaciones (Bs)</font></td>";
		echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'sueldo' size = '10' maxlength = '50' value = '" . round($smesDiarioBs, 2) . "' ></td>";
		echo "</tr>";
		
		}
		elseif($tipoNom == 1){ //////////Nominas Diarias (Obreros)
			
			
			$smes = $smes ;  ///Viene de arriba
			$smesDiario = $smes /30;
			$smesDevengado = $smes + $montoBonos;
			
			$salarioMesPromedio = $mon03/7*30 + $montoBonos;
			$salarioPromDiario = $salarioMesPromedio /30;
		
			
			/// Comparando para elegir el mayor para vacaciones
			
			$salarioDiarioVac = ($smesDiario>$salarioPromDiario?$smesDiario:$salarioPromDiario) ;
		
		/*
		echo "<tr>";
		echo "<td  width = '200' align = 'right' > <font color=red>Sueldo B&aacute;sico Diario (Bs): </font></td>";
		echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'smesdia' size = '10' maxlength = '50' value = '" . round($smesDiario, 2) . "' ></td>";
		//number_format($row['antiguedad'],0)
		echo "</tr>";
		*/

		//echo "<tr>";
		//echo "<td  width = '200' align = 'right' > <font color=red>Complemento de Sueldo: </font></td>";
		//echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'smesx' size = '10' maxlength = '50' //value = '".($mon01+$mon02)."' ></td>";
		//echo "</tr>";

		echo "<tr>";
		echo "<td  width = '200' align = 'right' > <font color=red>Devengado mes anterior: </font></td>";
		echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'smesx' size = '10' maxlength = '50' value = '".round($salarioMesPromedio,2)."' ></td>";
		echo "</tr>";
		
		
		/* ///ya no debe bsucar promedio porque en nóminas e paga Bonif Espec y Compl Sueldo.... Miguelangel 21/03/2023
		if ($smes > $monMes) {
			$sueldo_vac = $smesDiario;
		} else {
			$sueldo_vac = $monDia;
		}
		

		echo "<tr>";
		echo "<td  width = '200' align = 'right' > <font color=red>Salario Promedio Diario </font></td>";
		echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'sueldoDia' size = '10' maxlength = '50' value = '" . round($monDia, 2) . "' ></td>";
		echo "</tr>";
		
		echo "<tr>";
		echo "<td  width = '200' align = 'right' > <font color=red>Salario Mensual para vacaciones </font></td>";
		echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'sueldo' size = '10' maxlength = '50' value = '" . round(($sueldo_vac*30), 2) . "' ></td>";
		echo "</tr>";
		
		*/
		
		//echo "<tr>"; 
		//echo "<td  width = '200' align = 'right' > <font color=red>Salario Devengado Mensual para obreros(Bs)</font></td>";
		//echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'sueldoDia' size = '10' maxlength = '50' value = '" . round($smesDevengado, 2) . "' ></td>";
		//echo "</tr>";
		
		
		echo "<tr>"; 
		echo "<td  width = '200' align = 'right' > <font color=red>Salario Promedio Diario(Bs)</font></td>";
		echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'sueldoDia' size = '10' maxlength = '50' value = '" . round($salarioPromDiario, 2) . "' ></td>";
		echo "</tr>";
		

		
		
		echo "<tr>";
		echo "<td  width = '200' align = 'right' > <font color=red>Salario Diario para vacaciones (Bs)</font></td>";
		echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'sueldo' size = '10' maxlength = '50' value = '" . round($salarioDiarioVac, 2) . "' ></td>";
		echo "</tr>";
		
		}

		$ano1 = date("Y");
		$mes1 = date("m");
		$dia1 = date("d");
		$ano2 = $ano1 - 1;
		$ano3 = substr($row['fechai'], 0, 4);
		$mes3 = substr($row['fechai'], 5, 2);
		$dia3 = substr($row['fechai'], 8, 2);

		///////Encontar el pr�ximo periodo de vacacaciones a pagar
		if ($ultimoPer != '') {

			$ano4 = substr($ultimoPer, 5, 4);
			$ano5 = $ano4 + 1;
			$periodoPagar = $ano4 . '-' . $ano5;
		} else {
			$ano4 = substr($row['fechai'], 0, 4);
			$ano5 = $ano4 + 1;
			$periodoPagar = $ano4 . '-' . $ano5;
		}

		/////Antig�edad para vacaciones a pagar
		$antigPagarVaca = $antiguedadVac < '1' ? 1 : $antiguedadVac + 1;
		//$antigPagarVaca = $antiguedadVac+1;



		if ($antiguedadVac < "1") {//echo "ENTRO AQUIIIIIIII PRIMERO QUE TODO<br>";
		//echo "ENTRO AQUI CASO 0:  Nunca se han pagado vacaciones a este trabajador<br>";

			echo "<tr><td align = 'right' > A&ntilde;os de Antiguedad para Vacaciones? </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'antiguedad' size = '10' maxlength = '10' value = '" . ($antiguedadVac + 1) . "'></td>";
			echo "</tr>";

			echo "<tr><td align = 'right' > Per&iacute;odo de Vacaciones a Pagar </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'periodo' size = '10' maxlength = '9' value = '" . $periodoPagar . "'></td>";
			echo "</tr>";

			echo "<tr><td align = 'right' ><font color=green><b>D&iacute;as DISPONIBLES para Vacaciones (Art. 190)</b> </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'dvac' size = '10' maxlength = '10' value = '" . ($diasVacaPagados >= 15 ? $dvac : $dvac - $diasVacaPagados) . "'></td>";
			echo "</tr>";

			echo "<tr><td align = 'right' > <font color=blue><b>D&iacute;as ADICIONALES para Vacaciones (Art. 190)</b> </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'diext' size = '10' maxlength = '10' value = '" . ($diasVacaPagados >= 15 ? $dias_ext : 0) . "'></td>";
			echo "</tr>";

			echo "<tr><td align = 'right' > <b>D&iacute;as para Bono Vacacional (Art. 192)</b> </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'dbon' size = '10' maxlength = '10' value = '" .$dbon. "' ></td>";
			echo "</tr>";



		} else { //echo "ENTRO AQUIIIIIIII SIEMPRE<br>";
			////// caso 1: ya se le pagaron completos los 15 dias de vacaciones + los días adicionales por antigüedad

			if($diasVacaPagados >=15 &&  $diasAdicPendient==0) {

			//echo "ENTRO AQUI CASO 1:  ya se le pagaron completos los 15 dias de vacaciones + los días adicionales por antigüedad<br>";

			echo "<tr><td align = 'right' > A&ntilde;os de Antiguedad para Vacaciones? </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'antiguedad' size = '10' maxlength = '10' value = '" .$antigPagarVaca. "'></td>";
			echo "</tr>";

			echo "<tr><td align = 'right' > ULTIMO PERIODO PAGADO</td>";
			echo "<td align = 'left' > <input type = 'text' name = 'ultper' size = '10' maxlength = '10' value = '" . $ultimoPer . "'></td>";
			echo "</tr>";

			echo "<tr><td align = 'right' ><b> PER&Iacute;ODO DE VACACIONES A PAGAR </b></td>";
			echo "<td align = 'left' > <input type = 'text' name = 'periodo' size = '10' maxlength = '9' value = '" .$periodoPagar. "'></td>";
			echo "</tr>";

			echo "<tr><td align = 'right' ><font color=green><b>D&iacute;as DISPONIBLES para Vacaciones (Art. 190)</b> </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'dvac' size = '10' maxlength = '10' value = '" . ($diasVacaPagados >= 15 ? $dvac : $dvac - $diasVacaPagados) . "'></td>";
			echo "</tr>";

			echo "<tr><td align = 'right' > <font color=blue><b>D&iacute;as ADICIONALES para Vacaciones (Art. 190)</b> </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'diext' size = '10' maxlength = '10' value = '" . ($diasVacaPagados >= 15 ? $dias_ext : 0) . "'></td>";
			echo "</tr>";

			echo "<tr><td align = 'right' > <b>D&iacute;as para Bono Vacacional (Art. 192)</b> </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'dbon' size = '10' maxlength = '10' value = '" .$dbon. "' ></td>";
			echo "</tr>";


			}
			elseif($diasVacaPagados <'15' ){//// Caso 2 no se han pagado los 15 días de vacaciones completos
				//echo "ENTRO AQUI 2 Caso 2 no se han pagado los 15 días de vacaciones completos <br>";
			echo "<tr><td align = 'right' > A&ntilde;os de Antiguedad para Vacaciones? </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'antiguedad' size = '10' maxlength = '10' value = '" .$antiguedadVac. "'></td>";
			echo "</tr>";

			echo "<tr><td align = 'right' > ULTIMO PERIODO PAGADO</td>";
			echo "<td align = 'left' > <input type = 'text' name = 'ultper' size = '10' maxlength = '10' value = '" . $ultimoPer . "'></td>";
			echo "</tr>";

			echo "<tr><td align = 'right' ><b> PER&Iacute;ODO DE VACACIONES A PAGAR </b></td>";
			echo "<td align = 'left' > <input type = 'text' name = 'periodo' size = '10' maxlength = '9' value = '" .$ultimoPer. "'></td>";
			echo "</tr>";

			echo "<tr><td align = 'right' > D&iacute;as de Vac Art. 190 Pagados en Fracci&oacute;n " . $ultimoPer . "</td>";
			echo "<td align = 'left' > <input type = 'text' name = 'diaspag' size = '10' maxlength = '10' value = '" . $diasVacaPagados . "' readonly></td>";
			echo "</tr>";

			echo "<tr><td align = 'right' ><font color=green> <b>D&iacute;as DISPONIBLES para Vacaciones (Art. 190)</b> </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'dvac' size = '10' maxlength = '10' value = '" . ($diasVacaPagados >= 15 ? $dvac : $dvac - $diasVacaPagados) . "'></td>";
			echo "</tr>";


			//echo "<tr>";
			//echo "<td  width = '200' align = 'right' > <font color=red>Dias adicionales pendientes ultimo periodo </font></td>";
			//echo "<td  width = '400' align = 'left' > <input type = 'text' name = 'diasadic' size = '10' maxlength = '50' value = '" .$diasAdicPendient. "' ></td>";
			//echo "</tr>";

			echo "<tr><td align = 'right' > <font color=blue><b>D&iacute;as ADICIONALES para Vacaciones (Art. 190)</b> </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'diext' size = '10' maxlength = '10' value = '" .$diasAdicPendient. "'></td>";
			echo "</tr>";

			}
			elseif ($diasAdicPendient>0){/////Caso 3 NO se han pagdos los días adicionales por antigüedad completos
			//echo "ENTRO AQUI 3 Caso 3 Se pagaron los 15 dias de vacaciones pero NO se han pagdos los días adicionales por antigüedad completos";
			echo "<tr><td align = 'right' > A&ntilde;os de Antiguedad para Vacaciones? </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'antiguedad' size = '10' maxlength = '10' value = '" .$antiguedadVac. "'></td>";
			echo "</tr>";

			echo "<tr><td align = 'right' > ULTIMO PERIODO PAGADO</td>";
			echo "<td align = 'left' > <input type = 'text' name = 'ultper' size = '10' maxlength = '10' value = '" . $ultimoPer . "'></td>";
			echo "</tr>";

			echo "<tr><td align = 'right' ><b> PER&Iacute;ODO DE VACACIONES A PAGAR </b></td>";
			echo "<td align = 'left' > <input type = 'text' name = 'periodo' size = '10' maxlength = '9' value = '" .$ultimoPer. "'></td>";
			echo "</tr>";

			echo "<tr><td align = 'right' > <font color=blue><b>D&iacute;as ADICIONALES para Vacaciones (Art. 190)</b> </td>";
			echo "<td align = 'left' > <input type = 'text' name = 'diext' size = '10' maxlength = '10' value = '" .$diasAdicPendient. "'></td>";
			echo "</tr>";

			}


		}
		


		/*
		echo "<tr><td align = 'right' > Per&iacute;odo de Vacaciones? </td>";
		echo "<td align = 'left' > <input type = 'text' name = 'periodo' size = '10' maxlength = '9' value = '".($ano2.'-'.$ano1)."'></td>";
		echo "</tr>";
		*/


		echo "<tr><td align = 'right' > Descontar SSO? </td>";
		echo "<td align = 'left' > <select name = 'des1'>
			<option value='0'>Si
			<option value='1'>No
			</select></td>";
		echo "</tr>";

		echo "<tr>";
		echo "<td width = '200' align = 'right' > <font color=red>Nro. Semanas del SSO: </font></td>";
		echo "<td width = '400' align = 'left' > <select name = 'semana'>
			<option>0
			<option>1
			<option>2
			<option>3
			<option>4
			<option>5
			<option>6
			<option>7
				</select></td>";
		echo "</tr>";

		echo "<tr><td align = 'right' > Descontar RPVH? </td>";
		echo "<td align = 'left' > <select name = 'des2'>
			<option value='0'>Si
			<option value='1'>No
			</select></td>";
		echo "</tr>";

		//		echo "<tr><td align = 'right' > La Vacaci&oacute;n es Colectiva? </td>";
		//		echo "<td align = 'left' > <select name = 'icol'>
		//			<option value='0'>NO
		//			<option value='1'>SI
		//			</select><font color=red>&nbsp;&nbsp;(Solo se Calcular&aacute; meses fraccionados)</font></td>";
		//		echo "</tr>";

		echo "<tr><td align = 'right' > Fecha Inicial de Vacaciones(ddmmaaaa): </td>";
		echo "<td align = 'left'>";
		escribe_formulario_fecha_vacio("fecha1", "fentrada");
		echo "</td></tr>";

		//====================================== si no es automatico
		//		echo "<tr><td align = 'right' > </td>";
		//		echo "<td align = 'left'><font color=red>(Si no es Autom&aacute;tica agregar estos valores)</font>";
		//		echo "</td></tr>";

		//		echo "<tr><td align = 'right' > Fecha Final de Vacaciones(ddmmaaaa): </td>";
		//		echo "<td align = 'left'>";
		//		escribe_formulario_fecha_vacio("fecha2","fentrada");
		//		echo "</td></tr>";

		//		echo "<tr><td align = 'right' > Fecha de Reintegro (ddmmaaaa): </td>";
		//		echo "<td align = 'left'>";
		//		escribe_formulario_fecha_vacio("fecha3","fentrada");
		//		echo "</td></tr>";

		echo "<tr><td align = 'right' > </td>";
		echo "<td align = 'left'>";
		echo "<input type = 'submit' value = 'Grabar Liquidaci&oacute;n de Vacaciones'>";
		echo "</td></tr>";

		echo "</tr>";
		echo "</table>";
	}
	echo "	<script language='javascript' type='text/javascript'>";
	echo "		document.fentrada.dias.focus()";
	echo "	</script>";
	echo "</form>";

	if ($cedula != '') {
		$consulta = "select vacacion.*, personal.nombres, personal.nombres1, personal.apellidos, personal.apellidos1 from vacacion,personal where personal.id='" . $_SESSION['id_validar'] . "' and vacacion.cedula=personal.codigo and vacacion.cedula= '" . $cedula . "' order by fdesde";
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$num_rows = mysqli_num_rows($resultado);
		//if ($num_rows != 0){
		echo "<table style='width:80%' rules=none border=0 cellpadding=2 cellspacing=0 align='center'>";
		echo "<tr bgcolor='#43bced' height='35' align='center'>";
		echo "<th style='width:9%' rowspan = 2 align = left><font color='white'> Per&iacute;odo </font></th>";
		echo "<th style='width:6%' rowspan = 2 align = left><font color='white'> Dias Vac. </font></th>";
		echo "<th style='width:6%' rowspan = 2 align = left><font color='white'> Dias Adic Vac. </font></th>";
		echo "<th style='width:6%' rowspan = 2 align = left><font color='white'> Dias/Bono </font></th>";
		//echo "<th align = left><font color='white'> Tip/Nomina </font></th>";
		echo "<th style='width:12%' rowspan = 2 align = left><font color='white'> Desde </font></th>";
		echo "<th style='width:12%' rowspan = 2 align = center><font color='white'> Hasta </font></th>";
		echo "<th style='width:9%' rowspan = 2 align = center><font color='white'> Reintegro </font></th>";
		echo "<th style='width:9%' rowspan = 2 align = center><font color='white'> A&ntilde;o/Ant. </font></th>";
		//echo "<th align = center><font color='white'> Mes/Ant. </font></th>";
		echo "<th style='width:7%' rowspan = 2 align = center><font color='white'> Salario </font></th>";
		//echo "<th style='width:9%; text-align: center;' colspan = 3 style='text-align: center;' ><font color='white'> Aprobaciones </font></th>";
		echo "<th style='width:7%; text-align: center;' rowspan = 2 colspan = 3 align = center><font color='white'> Acci&oacute;n </font></th>";
		
		echo "<tr bgcolor='#43bced' style='color: #fff;'>";
		/*
		echo "<th style='text-align: center;' width='100'>RRHH</td>";
		echo "<th style='text-align: center;' width='100'>Nomina</td>";
		echo "<th style='text-align: center;' width='100'>Contab</td>";
		*/
		echo "</tr>";

		$sum_vaca_ot = 0;
		for ($cont = 0; $cont < $num_rows; $cont++) {
			$row = mysqli_fetch_array($resultado);
			//sumatoria de vacaciones otorgadas
			$sum_vaca_ot += $row['dvac'];
			$cedula = $row['cedula'];
			if ($color) {
				$tcolor = "#dfdfd0";
			} else {
				$tcolor = "white";
			}
			echo '<tr bgcolor=' . $tcolor . ' >';
			echo "<td width='100'>" . $row['periodo'] . "</td>";
			echo "<td width='20'>" . $row['dvac'] . "</td>";
			echo "<td width='20'>" . $row['dias_ext'] . "</td>";
			echo "<td width='20'>" . $row['dbon'] . "</td>";
			//echo "<td width='100'>".$row['tip']."</td>";
			echo "<td width='100'>" . mostrar_fecha($row['fdesde']) . "</td>";
			echo "<td width='100'>" . mostrar_fecha($row['fhasta']) . "</td>";
			echo "<td width='100'>" . mostrar_fecha($row['reintegro']) . "</td>";
			echo "<td width='50' align='center'>" . number_format($row['antiguedad'], 0) . "</td>";
			//echo "<td width='100' align='center'>".number_format($row['imes'],0)."</td>";
			echo "<td width='100' align='right'>" . number_format($row['sueldo'], 2) . "</td>";
			/*
			//RRHH
			echo "<td width='30' align='center'>";
			if ($row['aprobacion_rrhh'] == 'Aprobado') {
				echo "<img src='img2/status_ver.png'>";
			}
			echo "</td>";

			//NOMINA
			echo "<td width='30' align='center'>";
			if ($row['aprobacion_nomina'] == 'Aprobado') {
				echo "<img src='img2/status_ver.png'>";
			}
			echo "</td>";
			//CONTABILIDAD
			echo "<td width='30' align='center'>";
			if ($row['aprobacion_contabilidad'] == 'Aprobado') {
				echo "<img src='img2/status_ver.png'>";
			}
			echo "</td>";
			*/
			if (substr($_SESSION['acceso_validar'], 18, 1) == '1') {
				echo "<td width='30' align='center'><a onclick='return validar_elimina()' href='" . $_SERVER['PHP_SELF'] . "?accion=2&cedula=" . $cedula . "&periodo=" . $row['periodo'] . "&fdesde=" . $row['fdesde'] . "'><img  border = 0  src='img2/icono_07.png'alt='eliminar �ste registro' ></a></td>";
			}

			echo "<td width='30' align='center'><a target='_blank' href='calculo_vacaciones_recibo.php?periodo=" . $row['periodo'] . "&fdesde=" . $row['fdesde'] . "&cedula=" . $cedula . "'><img border = 0 src='img2/icono_02.png' alt='Imprimir �ste registro'></a></td>";
			
			//echo "<td width='30' align='center'><a target='_blank' href='calculo_vacaciones_excel.php?periodo=" . $row['periodo'] . "&fdesde=" . $row['fdesde'] . "&cedula=" . $cedula . "'><img border = 0 src='img2/excel.png' width='26' height='26' alt='Imprimir �ste registro'></a></td>";


			if($row['fdesde']>='2022-01-15'){
			echo "<td width='30' align='center'><a target='_blank' href='txt_vacaciones.php?periodo=" . $row['periodo'] . "&fdesde=" . $row['fdesde'] . "&cedula=" . $cedula . "'><img border = 0 src='img2/icono-text.jpg' alt='Imprimir �ste registro'></a></td>";
			}
			/*
			echo "<td width='30' align='center'>";
			if ($row['fdesde'] >= '2021-09-01') { //SOLO PERMITIRÁ APROBAR NOVEDADES CON FECHA SUPERIOR AL 01 DE SEP DEL 2021
				if ($usuario == 'GCURBELO' || $usuario == 'BSALAZA3' || $usuario == 'ASALAZ14') { //APRUEBA RRHH
					$query_aprob = "SELECT * FROM vacacion WHERE id_vacacion = '" . $row['id_vacacion'] . "' AND aprobacion_rrhh = '' ";
					$resultado_aprob = mysqli_query($enlace,$query_aprob);
					if (mysqli_num_rows($resultado_aprob) > 0) { //No ha sido aprobada esta vacacion
						echo "<a href='calculo_vacaciones.php?aprobacionVacacion=" . $row['id_vacacion'] . "&accion=5&cedula=" . $cedula . "'><span class = 'label_status_aprobar'>Aprobar</span></a>";
					}
				}

				if ($usuario == 'GSAYAGO1') { //APRUEBA NOMINA
					$query_aprob = "SELECT * FROM vacacion WHERE id_vacacion = '" . $row['id_vacacion'] . "' AND aprobacion_nomina = '' ";
					$resultado_aprob = mysqli_query($enlace,$query_aprob);
					if (mysqli_num_rows($resultado_aprob) > 0) { //No ha sido aprobada esta vacacion
						echo "<a href='calculo_vacaciones.php?aprobacionVacacion=" . $row['id_vacacion'] . "&accion=5&cedula=" . $cedula . "'><span class = 'label_status_aprobar'>Aprobar</span></a>";
					}
				}

				if ($usuario == 'MCALLES1') { //APRUEBA CONTABILIDAD
					$query_aprob = "SELECT * FROM vacacion WHERE id_vacacion = '" . $row['id_vacacion'] . "' AND aprobacion_contabilidad = '' ";
					$resultado_aprob = mysqli_query($enlace,$query_aprob);
					if (mysqli_num_rows($resultado_aprob) > 0) { //No ha sido aprobada esta vacacion
						echo "<a href='calculo_vacaciones.php?aprobacionVacacion=" . $row['id_vacacion'] . "&accion=5&cedula=" . $cedula . "'><span class = 'label_status_aprobar'>Aprobar</span></a>";
					}
				}
			}
			echo "</td>";
			*/ 

			echo '</tr>';
			$color = !$color;
		}
		////////////////////////////////////////////

		//Variables para d�as de vacaciones pendientes


		/*
			Calc days between two dates using the financial calendar
			30/360 (usa) or 30E/360(european)<-default
			$fec1 and $fecha2 in format: aaaa-mm-dd
			return days  or -1 in case of error.

			based on cost_analysis.py module Ver. 0.1 public domain, no license required by Harm Kirchhoff
			*/


		///////////////////////////////////////////////// oculto hasta lanzar actualizaci�n V 4.5


		function days_360($fec1, $fec2, $europeo = true)
		{
			//try switch dates: min to max
			if ($fec1 > $fec2) {
				$temf = $fec1;
				$fec1 = $fec2;
				$fec2 = $temf;
			}

			// get day month year...
			list($yy1, $mm1, $dd1) = explode('-', $fec1);
			list($yy2, $mm2, $dd2) = explode('-', $fec2);

			if ($dd1 == 31) {
				$dd1 = 30;
			}

			//checks according standars: 30E/360 or 30/360.
			if (!$europeo) {
				if (($dd1 == 30) and ($dd2 == 31)) {
					$dd2 = 30;
				} else {
					if ($dd2 == 31) {
						$dd2 = 30;
					}
				}
			}

			//check for invalid date
			if (($dd1 < 1) or ($dd2 < 1) or ($dd1 > 30) or ($dd2 > 31) or
				($mm1 < 1) or ($mm2 < 1) or ($mm1 > 12) or ($mm2 > 12) or
				($yy1 > $yy2)
			) {
				return (-1);
			}
			if (($yy1 == $yy2) and ($mm1 > $mm2)) {
				return (-1);
			}
			if (($yy1 == $yy2) and ($mm1 == $mm2) and ($dd1 > $dd2)) {
				return (-1);
			}

			//Calc
			$yy = $yy2 - $yy1;
			$mm = $mm2 - $mm1;
			$dd = $dd2 - $dd1;

			return (($yy * 360) + ($mm * 30) + $dd);
		}
		$fec1 = date("Y-m-d");
		$fec2 = date('Y-m-d', mktime(0, 0, 0, $mes3, $dia3, $ano3));
		$tdias = days_360($fec1, $fec2) + 1;
		$antiguedad_dias = number_format(($tdias), 0, '.', '');
		$antiguedad_mese_enteros = number_format(($antiguedad_dias / 30), 2);
		$dias_vacaciones_total = $antiguedad_mese_enteros * 15 / 12;
		$cant_vaca_favor = $dias_vacaciones_total - $sum_vaca_ot;
		$dias_disponibles_vac = (intval($dias_vacaciones_total / 15) * 15) - $sum_vaca_ot;


		echo "<td></td>";


		//ELIMINAR LOS COMENTADO SI SE QUIEREN MOSTRAR ESTOS DATOS // Miguelangel

		/*
			echo "<tr><td></td>";
			//echo $fec1;
			echo "</br>";
			//echo $fec2;
			echo "<td colspan=2 bgcolor='white'><font color='black'>Total d&iacute;as acumulados vacaciones al " .date('d-m-Y')." </font></td>";
			echo "<td bgcolor='white'><font color='black'>".number_format($antiguedad_mese_enteros,0)." </font></td>";
			echo "</tr>";

				echo"<td></td>";

			echo "<tr><td></td>";
			echo "<td colspan=2 bgcolor='white'><font color='black'>Total d&iacute;as vacaciones otorgados</font></td>";
			echo "<td bgcolor='white'><font color='black'>".number_format($dvac,0)." </font></td>";
			echo "</tr>";

				echo"<td></td>";

			*/

		///////////////////////////////////////////////// oculto hasta lanzar actualizaci�n V 4.5


		echo "<tr><td></td>";
		echo "<td colspan=3 bgcolor='#dfdfd0'><font color='black'>D&iacute;as pagados/disfrutados:</font></td>";
		echo "<td bgcolor='#dfdfd0'><font color='black'>" . number_format($sum_vaca_ot, 2) . " </font></td>";
		echo "</tr>";

		echo "<tr><td></td>";
		echo "<td colspan=3 bgcolor='white'><font color='black'>Fracci&oacute;n D&iacute;as &Uacute;ltimo a&ntilde;o:</font></td>";
		echo "<td bgcolor='white'><font color='black'>" . number_format($dias_vacaciones_total - $sum_vaca_ot, 2) . " </font></td>";
		echo "</tr>";


		echo "<td></td>";


		echo "<tr><td></td>";
		echo "<td colspan=3 bgcolor='#43bced'><font color='black'>D&iacute;as disponibles vacaciones al " . date('d-m-Y') . " </font></td>";


		if ($dias_disponibles_vac > 0) {
			echo "<td bgcolor='#C1F592'><font color='black'>" . number_format($dias_disponibles_vac, 0) . " </font></td>";
		} else
			echo "<td bgcolor='red'><font color='white'>" . number_format($dias_disponibles_vac, 0) . " </font></td>";

		echo "</tr>";



		/////////////////////////////////////////
		echo '</table>';
		//} else echo "<hr>";
		mysqli_free_result($resultado);
	}
}


echo "<br><br><br><br></body>";
?>


<style>
	.boton {
		/* width: 100%; */
		color: #FFFFFF;
		/* font-size: 0.8725em; */
		padding: 7px;
		margin-bottom: 5px;
		margin-top: 6px;
		outline: none;
		/* margin: 5px 0; */
		font-family: 'Open Sans', sans-serif;
		font-size: 16px;
		font-weight: bold;
		text-transform: uppercase;
		background: #36C1E2;
		border: 0px solid #DFDFDF;
	}

	.label_status_aprobar {
		background-color: #36C1E2 !important;
		color: #fff;
		display: inline;
		padding: .2em .6em .3em;
		font-size: 90%;
		font-weight: 700;
		line-height: 1;
		text-align: center;
		white-space: nowrap;
		vertical-align: baseline;
	}

	#response_sucess {
		background: #7dbe2c;
		padding: 10px;
		width: auto;
		color: #fff;
		text-align: left;
		line-height: 25px;
	}
</style>

<script>
	setTimeout(function() {
		$('#response_sucess').fadeOut('slow');
	}, 1000);
</script>

<?
echo "</html>";
mysqli_close($enlace);
?>
